XCONQ(6)

NAME
xconq - X-based configurable strategy game

SYNOPSIS
xconq [ options ] ...

DESCRIPTION
xconq is a configurable multi-player strategy game.

By default, xconq brings up a series of dialogs that let you choose the game, game variants, and the players.

In addition, xconq has extensive and elaborate facilities for building maps, scenarios, and sets of rules, allowing for a wide variety of games.

OPTIONS

The following options are X-specific:

-bg bgcolor
    sets the background color of the windows.

-display display
    sets the display to be used by the default player.

-fg fgcolor
    sets the foreground color of the windows.

-geometry geometry
    sets the geometry of the first window.

-name name
    sets the name of the application.

-x  allows the game and the players to be set up interactively via menus. The menus should be self-explanatory.

The following options are generic, and may be used with any version of Xconq that allows command-line arguments:

Each argument will be taken to be a specification of a player who will participate in the game. The format of a player spec is

    [name[,ai][/config]@]host[+advantage]

where host is the name of a host. advantage is a multiplier specifying how much more a player gets to start with, so a player at +3 in the standard game gets 3 cities and 15 towns instead of the usual 1 and 5.

-e[,ai][+adv] number
    sets the number of machine players (AIs) not attached to displays. If ai and/or adv are supplied, each of the machine players will get that AI type and advantage.

-h number
    creates number players that may have displays and waits for them to join the game (via -join, see below).

General options:

-c number
    sets checkpointing to occur every number turns.

-f name
    reads the file named name, interpreting as a game.

-g name
    reads the game named name.

-help, --help
    displays help information and exits.

-host game
    sets up a network game named game.

-join game
    connects to a network game named game.

-L pathname
    sets the location to search for game files to pathname.

-noai
    suppresses all AI creation when setting up the game.

-r  suppresses the creation of the default player.

--version
    displays version information and exits.

-w  suppresses warnings.

Variant options:

-M width[xheight]
    generates a random map of the given size. The size must be at least 5x5, although some periods will impose additional constraints on the lower bound. In theory, there is no upper bound (but 200x200 would be huge).

-seq
    makes all the players move one at a time.

-sim
    allows all the players to move simultaneously.

-tgame number
    limits the total length of the game to number minutes.

-tside number
    limits the total time of play for each side to number minutes. Time is only counted while actually waiting for input.

-tturn number
    limits the time of play for each side to number minutes per side per turn. Time is only counted while actually waiting for input.

-v  makes the entire world seen by all players at the outset. This is useful if exploration is deemed to be time-consuming, or if the world is already known to everybody. Some games have this enabled by default.

-V  makes everything seen all the time. Some games have this enabled by default.

-vvariant-name[=variant-value]
    sets variants that are defined by the chosen game. The options "-g game -vhelp" will list the available variants.

Designing and debugging options:

-design
    enables designer mode, if available.

-D[-GM]
    enables debugging output, if available.

-R number
    sets the random seed to number, if available.

ENVIRONMENT VARIABLES

XCONQLIB
    If this is set to a directory pathname, Xconq will look here for library games. XCONQ_SCORES If this is set to a directory, Xconq will use it to store scorefiles instead of the compiled-in default. XCONQHOME This is the pathname to where Xconq will store saved games and preferences for a user. If this is not set, Xconq will use $HOME/.xconq to store per-user files.

EXAMPLES

xconq -g standard
    Standard game, one human on local display, one AI, 60x30 random world

xconq -g crater-lake
    One human vs one machine, playing the "crater lake" game

xconq -e 2 -M 40x20
    One human, two mplayers, 40x20 random world

xconq -e 6 -g u-e1-1998 -V
    Seven players (6 mplayer, 1 human), all playing on a 360x140 map of the earth with present-day cities, with everything always visible. Major!

xconq ,ai+4
    Standard game, one human and one mplayer, mplayer has advantage of 4.

X DEFAULTS

TextFont
    Font for all text.

HelpFont
    Font for the help pages.

AUTHOR
Stan Shebs (shebs@cygnus.com) (with help from many)

FILES

~/.xconq/save.xconq
    saved game

/usr/local/share/xconq/lib/game.dir
    directory of playable games

/usr/local/share/xconq/lib/*.g
    predefined games

/usr/local/share/xconq/lib/imf.dir
    directory of predefined images

/usr/local/share/xconq/lib/*.imf
    predefined images

/usr/local/share/xconq/lib/news.txt
    news about features and additions

/usr/local/share/xconq/images/
    more pictures

SEE ALSO
Xconq - the School for Strategy

DIAGNOSTICS

If the world is too small for the desired number of players, the program will complain about not being able to place units in good locations.

BUGS

Specifying multiple games on the command line is usually asking for trouble.

Some annoying behaviors are actually features.

Networked games can get out of sync too easily.